Results 1 to 3 of 3

Thread: Not adding to require when creating a widget.

    You found a bug! We've classified it as IDEAPLUGIN-348 . We encourage you to continue the discussion and to find an acceptable workaround while we work on a permanent fix.
  1. #1
    Sencha Premium Member
    Join Date
    Dec 2012
    Location
    Seattle, WA
    Posts
    423
    Answers
    34

    Default Not adding to require when creating a widget.

    This will add the class to the requires array.

    Code:
    Ext.widget('event');
    This will not add the class to the requires array.

    Code:
    Ext.widget('event', {
    	title: 'New Event',
    	iconCls: 'x-fa fa-calendar-plus-o'
    });
    Thanks

  2. #2
    Sencha User Mark.Brocato's Avatar
    Join Date
    Mar 2015
    Location
    Maryland
    Posts
    482
    Answers
    114

    Default

    Thanks for the report! I have opened a bug in our bug tracker.

  3. #3
    Sencha Premium Member
    Join Date
    Dec 2012
    Location
    Seattle, WA
    Posts
    423
    Answers
    34

    Default

    Any ETA when this will be fixed?

Similar Threads

  1. Replies: 2
    Last Post: 30 Jan 2015, 9:19 AM
  2. Synchronously loading...; consider adding Ext.require()
    By marc.fearby in forum Sencha Architect 3.x: Q&A
    Replies: 2
    Last Post: 14 Dec 2014, 1:25 PM
  3. Replies: 3
    Last Post: 4 Jun 2013, 4:39 PM
  4. Replies: 4
    Last Post: 1 Jun 2011, 2:01 PM
  5. Replies: 1
    Last Post: 5 Aug 2010, 7:05 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •